# Cart attributes

List of the possible attributes:

* `Checkout-Method` "pickup" | "delivery"
* `Delivery-Location-Id` ID of the selected delivery location.
* `Delivery-Date` Selected delivery date (YYYY-MM-DD).
* `Delivery-Time` Selected delivery time (24h format).
* `Delivery-Location-Distance` Distance to the delivery location.
* `Delivery-Widget-Query` Search query used for delivery.
* `Pickup-Location-Id` ID of the selected pickup location.
* `Pickup-Location-Company` Name of the pickup location company.
* `Pickup-Location-Address-Line-1` Address line 1 of the pickup location.
* `Pickup-Location-Address-Line-2` Address line 2 of the pickup location.
* `Pickup-Location-City` City of the pickup location.
* `Pickup-Location-Region` Region of the pickup location.
* `Pickup-Location-Postal-Code` Postal code of the pickup location.
* `Pickup-Location-Country` Country of the pickup location.
* `Pickup-Location-Distance` Distance to the pickup location.
* `Pickup-Widget-Query` Search query used for pickup.
* `Pickup-Date` Selected pickup date (YYYY-MM-DD).
* `Pickup-Time` Selected pickup time (24h format).
* `Menu-Id` ID of the selected menu.
* `Zone-Id` ID of the selected zone.
* `Order-Notes` Notes added to the order.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapiet.com/zapiet-eats/reference/cart-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
